{
  "name": "wallet-management-front",
  "version": "0.0.0",
  "scripts": {
    "ng": "node --max_old_space_size=8000 ./node_modules/.bin/ng",
    "start": "yarn ng serve",
    "build": "yarn ng build",
    "lint": "run-p -c lint:*",
    "test": "./node_modules/.bin/jest --max_old_space_size=8000 --unhandled-rejections=strict ",
    "test:ci": "yarn test --ci --coverage",
    "lint:ts": "yarn ng lint --configuration=ts",
    "lint:app": "yarn ng lint --configuration=app",
    "lint:scss": "stylelint 'src/**/*.scss' --syntax scss",
    "lint:pretty": "prettier 'src/**/*.ts' --list-different",
    "fix:lint": "run-p -c \"lint:ts --fix\" \"lint:app --fix\" \"lint:scss --fix\" \"lint:pretty --write\""
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "~11.0.5",
    "@angular/cdk": "^11.0.3",
    "@angular/common": "~11.0.5",
    "@angular/compiler": "~11.0.5",
    "@angular/core": "~11.0.5",
    "@angular/forms": "~11.0.5",
    "@angular/material": "^11.0.3",
    "@angular/platform-browser": "~11.0.5",
    "@angular/platform-browser-dynamic": "~11.0.5",
    "@angular/router": "~11.0.5",
    "@ngxs/devtools-plugin": "^3.7.1",
    "@ngxs/store": "^3.7.1",
    "classlist.js": "^1",
    "rxjs": "~6.6.0",
    "tslib": "^2.0.0",
    "web-animations-js": "^2.3.2",
    "zone.js": "~0.10.2"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "~0.1100.5",
    "@angular/cli": "~11.0.5",
    "@angular/compiler-cli": "~11.0.5",
    "@babel/core": "^7.12.10",
    "@babel/preset-env": "^7.12.11",
    "@types/jest": "^26.0.19",
    "@types/node": "^14",
    "babel-jest": "^26.6.3",
    "codelyzer": "^6.0.1",
    "jest": "^26.6.3",
    "jest-junit": "^11.1.0",
    "jest-preset-angular": "^8.2.1",
    "ng-mocks": "^11.2.6",
    "npm-run-all": "^4.1.5",
    "prettier": "^2",
    "stylelint": "^13.8.0",
    "stylelint-config-prettier": "^8.0.1",
    "stylelint-config-standard": "^20.0.0",
    "stylelint-scss": "^3.18.0",
    "tslint": "~6.1.0",
    "tslint-config-prettier": "^1.18.0",
    "tslint-microsoft-contrib": "^6.2.0",
    "tslint-sonarts": "^1.9.0",
    "typescript": "~4.0.2"
  }
}
